Archive mediawiki/extensions/Collection/OfflineContentGenerator and all OCG-related repos
Closed, ResolvedPublic

Description

mediawiki/extensions/Collection/OfflineContentGenerator repositories are no more needed since OfflineContentGenerator has been sunset from production and are it is no more used. The repositories are:

Repository Gerrit Diffusion GitHub
mediawiki/extensions/Collection/OfflineContentGenerator
mediawiki/extensions/Collection/OfflineContentGenerator/bundler
mediawiki/extensions/Collection/OfflineContentGenerator/epub_renderer
mediawiki/extensions/Collection/OfflineContentGenerator/html_renderer
mediawiki/extensions/Collection/OfflineContentGenerator/latex_renderer
mediawiki/extensions/Collection/OfflineContentGenerator/node_modules
mediawiki/extensions/Collection/OfflineContentGenerator/text_renderer
mediawiki/extensions/Collection/OfflineContentGenerator/zim_renderer
mediawiki/services/ocg-collection
  • Archive documentation on mediawiki.org https://www.mediawiki.org/wiki/Extension:Collection
  • Remove from mediawiki/extensions (along with in .gitmodules) (nothing to do here as long as Collection is kept)
  • Remove tests in integration/config (zuul/layout.yaml)
  • Remove from translatewiki (groups/MediaWiki/mediawiki-extensions.txt) (I don't see anything to do here for the named repos)
  • Remove manifest/other references from mediawiki/vagrant if they exist (ditto)
  • Empty repository and add a OBSOLETE file.
  • Archive Phabricator project <#ProjectX> for associated extension/skin (wait on T161312)
  • Edit Phabricator project <#ProjectX> description for associated extension/skin with a link to this ticket (wait on T161312)
  • Archive the extension's diffusion repositories
  • Mark the repositories read-only in Gerrit: https://gerrit.wikimedia.org/r/#/admin/projects/?filter=Collection
  • Delete the GitHub mirrors
NOTE: mediawiki/extensions/Collection must be kept.
hashar created this task.Jan 2 2018, 8:49 AM
hashar updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.Jan 2 2018, 8:52 AM

Err, Extension:Collection is definitely still used and deployed. Only the OCG service was sunset.

hashar updated the task description. (Show Details)Jan 2 2018, 8:52 AM

Argh I copy pasted too many of them. So I guess we keep Collection but can archive the mediawiki/extensions/Collection/OfflineContentGenerator/* ones?

I think so :)

MarcoAurelio added a subscriber: MarcoAurelio.

Task description editted.

Paladox moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Jan 3 2018, 8:37 AM
Tgr added a comment.Jan 4 2018, 12:49 AM

Archiving a stable extension should involve some amount of public dicsussion, not just someone making an arbitrary decision on Phabricator. Collection is used on 700+ wikis; presumably OCG too because Collection in itself doesn't really do anything.

demon added a subscriber: demon.Jan 4 2018, 12:55 AM

Just because it isn't used at WMF anymore doesn't mean it's worth archiving. I'm inclined to deny this.

demon added a comment.Jan 4 2018, 12:56 AM

(aka: what do the author(s) have to say?)

Kghbln removed a subscriber: Kghbln.Jan 5 2018, 5:20 PM

Currently, the collections extension is still being used to create books and to save them to the books namespace or user namespace, etc. The PDF rendering portion of the extension is the only portion currently disabled.

demon closed this task as Declined.Jan 9 2018, 9:32 PM

Then we shouldn't do this :)

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 9 2018, 9:32 PM
Mholloway reopened this task as Open.Sep 18 2018, 6:45 AM

The Reading Infrastructure team discussed this in a weekly meeting yesterday (after consulting with Reading Web). The consensus is that mediawiki/extensions/Collection/OfflineContentGenerator and related repos should be archived. OCG is turned off in Wikimedia production, that decision was well publicized, no one else is using OCG to the best of our knowledge, and no one either in WMF or the broader community is maintaining it.

The Collection extension itself (mediawiki/extensions/Collection) is still in use and should NOT be archived.

Mholloway renamed this task from Archive mediawiki/extensions/Collection and others to Archive mediawiki/extensions/Collection/OfflineContentGenerator and all OCG-related repos.Sep 18 2018, 6:46 AM
Mholloway updated the task description. (Show Details)

Change 461474 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/services/ocg-collection@master] Archive repository

https://gerrit.wikimedia.org/r/461474

Change 461474 merged by MarcoAurelio:
[mediawiki/services/ocg-collection@master] Archive repository

https://gerrit.wikimedia.org/r/461474

Change 461475 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/services/ocg-collection@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/461475

Change 461477 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] Archive several OfflineContentGenerator/* repositories

https://gerrit.wikimedia.org/r/461477

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptSep 19 2018, 10:20 PM

Change 461477 merged by jenkins-bot:
[integration/config@master] Archive several OfflineContentGenerator/* repositories

https://gerrit.wikimedia.org/r/461477

Change 461475 merged by Hashar:
[mediawiki/services/ocg-collection@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/461475

Change 461713 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Collection/OfflineContentGenerator/zim_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/461713

Change 461713 merged by MarcoAurelio:
[mediawiki/extensions/Collection/OfflineContentGenerator/zim_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/461713

Mentioned in SAL (#wikimedia-releng) [2018-09-22T20:05:12Z] <Hauskatze> github: deleted mirror wikimedia/mediawiki-extensions-Collection-OfflineContentGenerator-zim_renderer | T183891; moving to the next one

Change 462163 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Collection/OfflineContentGenerator/bundler@master] Archive repository

https://gerrit.wikimedia.org/r/462163

Change 462165 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Collection/OfflineContentGenerator/epub_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/462165

Change 462166 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Collection/OfflineContentGenerator/html_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/462166

Change 462167 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Collection/OfflineContentGenerator/latex_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/462167

Change 462168 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Collection/OfflineContentGenerator/node_modules@master] Archive repository

https://gerrit.wikimedia.org/r/462168

Change 462169 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Collection/OfflineContentGenerator@master] Archive repository

https://gerrit.wikimedia.org/r/462169

Change 462170 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Collection/OfflineContentGenerator/text_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/462170

Change 462163 merged by MarcoAurelio:
[mediawiki/extensions/Collection/OfflineContentGenerator/bundler@master] Archive repository

https://gerrit.wikimedia.org/r/462163

Change 462165 merged by MarcoAurelio:
[mediawiki/extensions/Collection/OfflineContentGenerator/epub_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/462165

Change 462166 merged by MarcoAurelio:
[mediawiki/extensions/Collection/OfflineContentGenerator/html_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/462166

Change 462167 merged by MarcoAurelio:
[mediawiki/extensions/Collection/OfflineContentGenerator/latex_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/462167

Change 462168 merged by MarcoAurelio:
[mediawiki/extensions/Collection/OfflineContentGenerator/node_modules@master] Archive repository

https://gerrit.wikimedia.org/r/462168

Change 462169 merged by MarcoAurelio:
[mediawiki/extensions/Collection/OfflineContentGenerator@master] Archive repository

https://gerrit.wikimedia.org/r/462169

Change 462170 merged by MarcoAurelio:
[mediawiki/extensions/Collection/OfflineContentGenerator/text_renderer@master] Archive repository

https://gerrit.wikimedia.org/r/462170

Mentioned in SAL (#wikimedia-releng) [2018-09-22T20:51:01Z] <Hauskatze> github: deleting several wikimedia/mediawiki-extensions-Collection-.* mirror repos for T183891

MarcoAurelio closed this task as Resolved.

Done. All OCG-related repos have been emptied and archived on Gerrit/Diffusion and its GitHub mirrors deleted. Code still avalaible on Gerrit browsing their histories if needed.